-- TODO: Use safe sandboxed environment
--require 'Scripts/safe_load.lua'

enemiesData = CCDictionary:create()

-- BIKER
data = BikerData:create("Biker1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Biker)
data:setImpactType(ImpactType_Bike)
data:setCanBeThrown(false)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(2)
data:setCoinsDroppedMax(4)
data:setDamage(1)
data:setRewardDecrement(1)
data:setHealth(1)
data:setBikeExplosionDelay(2.0)
data:setWarningDelay(2.0)
data:setAnticipationTime(1.0)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.0)
data:setMoveSpeed(350.0)
data:setThreatDistance(480.0)
data:setCollideBoxSize(ccp(40.0, 22.0))
data:setHitBoxSize(ccp(50.0, 28.28))
data:setTouchBoxSize(ccp(50.0, 45.0))
data:setRedColor(ccc3(215, 30, 95))
data:setGreenColor(ccc3(235, 230, 197))
data:setBlueColor(ccc3(94, 254, 216))
data:setFaceFile("HUD_portraits_biker.png")
data:setName("Chabo")
data:setRewardKey("Drop1")
data:setSoundPrefix("Biker")
data:addAnimationFile("biker_animations")
data:addAnimationFile("boomer_explode")
enemiesData:setObject(data, data:getKey():getCString())

data = BikerData:create("Biker2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Biker)
data:setImpactType(ImpactType_Bike)
data:setCanBeThrown(false)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(3)
data:setCoinsDroppedMax(7)
data:setDamage(2)
data:setRewardDecrement(1)
data:setHealth(1)
data:setBikeExplosionDelay(1.5)
data:setWarningDelay(1.5)
data:setAnticipationTime(1.0)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.0)
data:setMoveSpeed(425.0)
data:setThreatDistance(480.0)
data:setCollideBoxSize(ccp(40.0, 22.0))
data:setHitBoxSize(ccp(50.0, 28.28))
data:setTouchBoxSize(ccp(50.0, 45.0))
data:setRedColor(ccc3(255, 36, 36))
data:setGreenColor(ccc3(239, 234, 99))
data:setBlueColor(ccc3(255, 79, 243))
data:setFaceFile("HUD_portraits_biker.png")
data:setName("Tomaru")
data:setRewardKey("Drop1")
data:setSoundPrefix("Biker")
data:addAnimationFile("biker_animations")
data:addAnimationFile("boomer_explode")
enemiesData:setObject(data, data:getKey():getCString())

data = BikerData:create("Biker3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Biker)
data:setImpactType(ImpactType_Bike)
data:setCanBeThrown(false)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(4)
data:setCoinsDroppedMax(10)
data:setDamage(3)
data:setRewardDecrement(1)
data:setHealth(1)
data:setBikeExplosionDelay(1.0)
data:setWarningDelay(1.0)
data:setAnticipationTime(1.0)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.0)
data:setMoveSpeed(500.0)
data:setThreatDistance(480.0)
data:setCollideBoxSize(ccp(40.0, 22.0))
data:setHitBoxSize(ccp(50.0, 28.28))
data:setTouchBoxSize(ccp(50.0, 45.0))
data:setRedColor(ccc3(164, 15, 119))
data:setGreenColor(ccc3(126, 230, 148))
data:setBlueColor(ccc3(246, 29, 72))
data:setFaceFile("HUD_portraits_biker.png")
data:setName("Onagadori")
data:setRewardKey("Drop1")
data:setSoundPrefix("Biker")
data:addAnimationFile("biker_animations")
data:addAnimationFile("boomer_explode")
enemiesData:setObject(data, data:getKey():getCString())

-- BOOMER
data = BoomerData:create("Boomer1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Bomb)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Boomer)
data:setImpactType(ImpactType_Explosion)
data:setCanBeThrown(true)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(3)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(1)
data:setRewardDecrement(1)
data:setHealth(1)
data:setAnticipationTime(2.0)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(20.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(50.0)
data:setThreatDistance(75.0)
data:setExplosionDeathDelay(0.1)
data:setExplosionRadius(80.0)
data:setFlashPeriod(1.25)
data:setFlashFadeInTime(0.1)
data:setFlashFadeOutTime(0.75)
data:setCollideBoxSize(ccp(30.0, 12.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 45.0))
data:setRedColor(ccc3(215, 30, 95))
data:setGreenColor(ccc3(235, 230, 197))
data:setFaceFile("HUD_portraits_boomer.png")
data:setName("Stacy")
data:setRewardKey("Drop1")
data:setSoundPrefix("Boomer")
data:addAnimationFile("boomer_animations")
data:addAnimationFile("boomer_explode")
enemiesData:setObject(data, data:getKey():getCString())

data = BoomerData:create("Boomer2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Bomb)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Boomer)
data:setImpactType(ImpactType_Explosion)
data:setCanBeThrown(true)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(6)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(2)
data:setRewardDecrement(1)
data:setHealth(1)
data:setAnticipationTime(1.6)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(20.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(70.0)
data:setThreatDistance(75.0)
data:setExplosionDeathDelay(0.1)
data:setExplosionRadius(80.0)
data:setFlashPeriod(1.25)
data:setFlashFadeInTime(0.1)
data:setFlashFadeOutTime(0.75)
data:setCollideBoxSize(ccp(30.0, 12.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 45.0))
data:setRedColor(ccc3(255, 36, 36))
data:setGreenColor(ccc3(255, 246, 17))
data:setFaceFile("HUD_portraits_boomer.png")
data:setName("Vicky")
data:setRewardKey("Drop1")
data:setSoundPrefix("Boomer")
data:addAnimationFile("boomer_animations")
data:addAnimationFile("boomer_explode")
enemiesData:setObject(data, data:getKey():getCString())

data = BoomerData:create("Boomer3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Bomb)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Bomb)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Boomer)
data:setImpactType(ImpactType_Explosion)
data:setCanBeThrown(true)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(9)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(3)
data:setRewardDecrement(1)
data:setHealth(1)
data:setAnticipationTime(1.2)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(20.0)
data:setKnockDownTime(0.5)
data:setMoveSpeed(90.0)
data:setThreatDistance(75.0)
data:setExplosionDeathDelay(0.1)
data:setExplosionRadius(80.0)
data:setFlashPeriod(1.25)
data:setFlashFadeInTime(0.1)
data:setFlashFadeOutTime(0.75)
data:setCollideBoxSize(ccp(30.0, 12.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 45.0))
data:setRedColor(ccc3(164, 15, 119))
data:setGreenColor(ccc3(127, 255, 139))
data:setFaceFile("HUD_portraits_boomer.png")
data:setName("Tilly")
data:setRewardKey("Drop1")
data:setSoundPrefix("Boomer")
data:addAnimationFile("boomer_animations")
data:addAnimationFile("boomer_explode")
enemiesData:setObject(data, data:getKey():getCString())

-- BRUTE
data = BruteData:create("Brute1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Brute)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(false)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(1)
data:setCoinsDroppedMin(3)
data:setCoinsDroppedMax(5)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(1)
data:setRewardDecrement(2)
data:setHealth(150)
data:setAnticipationTime(1.5)
data:setAttackRange(60.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(2.0)
data:setMoveSpeed(60.0)
data:setThreatDistance(100.0)
data:setSmashShakeAmplitude(2.0)
data:setSmashShakeDuration(0.5)
data:setCollideBoxSize(ccp(45.0, 25.0))
data:setHitBoxSize(ccp(60.0, 42.42))
data:setTouchBoxSize(ccp(60.0, 85.0))
data:setRedColor(ccc3(0, 171, 153))
data:setGreenColor(ccc3(217, 156, 74))
data:setBlueColor(ccc3(28, 46, 47))
data:setFaceFile("HUD_portraits_brute.png")
data:setName("Tuco")
data:setRewardKey("Drop1")
data:setSoundPrefix("Brute")
data:addAnimationFile("brute_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = BruteData:create("Brute2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Brute)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(false)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(2)
data:setCoinsDroppedMin(5)
data:setCoinsDroppedMax(9)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(2)
data:setRewardDecrement(2)
data:setHealth(250)
data:setAnticipationTime(1.1)
data:setAttackRange(60.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.5)
data:setMoveSpeed(75.0)
data:setThreatDistance(100.0)
data:setSmashShakeAmplitude(2.0)
data:setSmashShakeDuration(0.5)
data:setCollideBoxSize(ccp(45.0, 25.0))
data:setHitBoxSize(ccp(60.0, 42.42))
data:setTouchBoxSize(ccp(60.0, 85.0))
data:setRedColor(ccc3(96, 239, 119))
data:setGreenColor(ccc3(234, 184, 98))
data:setBlueColor(ccc3(99, 21, 72))
data:setFaceFile("HUD_portraits_brute.png")
data:setName("Hector")
data:setRewardKey("Drop1")
data:setSoundPrefix("Brute")
data:addAnimationFile("brute_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = BruteData:create("Brute3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_Ground)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Brute)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(false)
data:setIndependent(true)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(3)
data:setCoinsDroppedMin(7)
data:setCoinsDroppedMax(13)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(3)
data:setRewardDecrement(2)
data:setHealth(350)
data:setAnticipationTime(0.7)
data:setAttackRange(60.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.0)
data:setMoveSpeed(90.0)
data:setThreatDistance(100.0)
data:setSmashShakeAmplitude(2.0)
data:setSmashShakeDuration(0.5)
data:setCollideBoxSize(ccp(45.0, 25.0))
data:setHitBoxSize(ccp(60.0, 42.42))
data:setTouchBoxSize(ccp(60.0, 85.0))
data:setRedColor(ccc3(107, 213, 248))
data:setGreenColor(ccc3(167, 94, 36))
data:setBlueColor(ccc3(233, 66, 127))
data:setFaceFile("HUD_portraits_brute.png")
data:setName("Gus")
data:setRewardKey("Drop1")
data:setSoundPrefix("Brute")
data:addAnimationFile("brute_animations")
enemiesData:setObject(data, data:getKey():getCString())

-- FATTY
data = FattyData:create("Fatty1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_MultiFrame)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Fatty)
data:setImpactType(ImpactType_Belly)
data:setCanBeThrown(false)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(1)
data:setCoinsDroppedMin(4)
data:setCoinsDroppedMax(8)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(1)
data:setRewardDecrement(2)
data:setHealth(300)
data:setHurtCountRetaliationThreshold(4)
data:setAnticipationTime(1.2)
data:setAttackRange(112.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.5)
data:setMoveSpeed(100.0)
data:setThreatDistance(190.0)
data:setBellyAttackDamageDurationFraction(0.7)
data:setBellyAttackDistanceMultiplier(1.25)
data:setBellyAttackSpeed(250.0)
data:setCollideBoxSize(ccp(55.0, 30.0))
data:setHitBoxSize(ccp(70.0, 49.49))
data:setTouchBoxSize(ccp(70.0, 75.0))
data:setRedColor(ccc3(255, 35, 232))
data:setGreenColor(ccc3(243, 218, 99))
data:setBlueColor(ccc3(72, 203, 118))
data:setFaceFile("HUD_portraits_fatty.png")
data:setName("MacDonald")
data:setRewardKey("Drop1")
data:setSoundPrefix("Fatty")
data:addAnimationFile("fatty_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = FattyData:create("Fatty2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_MultiFrame)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Fatty)
data:setImpactType(ImpactType_Belly)
data:setCanBeThrown(false)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(2)
data:setCoinsDroppedMin(6)
data:setCoinsDroppedMax(12)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(2)
data:setRewardDecrement(2)
data:setHealth(400)
data:setHurtCountRetaliationThreshold(4)
data:setAnticipationTime(1.0)
data:setAttackRange(112.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.25)
data:setMoveSpeed(100.0)
data:setThreatDistance(190.0)
data:setBellyAttackDamageDurationFraction(0.7)
data:setBellyAttackDistanceMultiplier(1.25)
data:setBellyAttackSpeed(250.0)
data:setCollideBoxSize(ccp(55.0, 30.0))
data:setHitBoxSize(ccp(70.0, 49.49))
data:setTouchBoxSize(ccp(70.0, 75.0))
data:setRedColor(ccc3(0, 203, 255))
data:setGreenColor(ccc3(198, 130, 57))
data:setBlueColor(ccc3(255, 231, 22))
data:setFaceFile("HUD_portraits_fatty.png")
data:setName("MacDuff")
data:setRewardKey("Drop1")
data:setSoundPrefix("Fatty")
data:addAnimationFile("fatty_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = FattyData:create("Fatty3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_NotThrowable)
data:setDamageType(DamageType_KnockBackAll + DamageType_KnockDownAll + DamageType_MultiFrame)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Fatty)
data:setImpactType(ImpactType_Belly)
data:setCanBeThrown(false)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(false)
data:setPassive(false)
data:setStatic(false)
data:setArmor(3)
data:setCoinsDroppedMin(8)
data:setCoinsDroppedMax(16)
data:setConsecutiveHitsKnockDownThreshold(0)
data:setDamage(3)
data:setRewardDecrement(2)
data:setHealth(500)
data:setHurtCountRetaliationThreshold(4)
data:setAnticipationTime(0.8)
data:setAttackRange(112.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.0)
data:setMoveSpeed(100.0)
data:setThreatDistance(190.0)
data:setBellyAttackDamageDurationFraction(0.7)
data:setBellyAttackDistanceMultiplier(1.25)
data:setBellyAttackSpeed(250.0)
data:setCollideBoxSize(ccp(55.0, 30.0))
data:setHitBoxSize(ccp(70.0, 49.49))
data:setTouchBoxSize(ccp(70.0, 75.0))
data:setRedColor(ccc3(80, 255, 81))
data:setGreenColor(ccc3(255, 243, 181))
data:setBlueColor(ccc3(255, 46, 77))
data:setFaceFile("HUD_portraits_fatty.png")
data:setName("MacLean")
data:setRewardKey("Drop1")
data:setSoundPrefix("Fatty")
data:addAnimationFile("fatty_animations")
enemiesData:setObject(data, data:getKey():getCString())

-- SLIDER
data = SliderData:create("Slider1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Slider)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(2)
data:setCoinsDroppedMax(4)
data:setDamage(1)
data:setRewardDecrement(1)
data:setHealth(75)
data:setBlockCountRetaliationThreshold(4)
data:setWakeHurtCountThreshold(5)
data:setUppercutStunTime(6.0)
data:setAnticipationTime(0.7)
data:setAttackRange(40.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(2.0)
data:setMoveSpeed(120.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 12))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setBlueColor(ccc3(253, 106, 84))
data:setRedColor(ccc3(91, 204, 190))
data:setGreenColor(ccc3(255, 236, 155))
data:setFaceFile("HUD_portraits_slider.png")
data:setName("Kim")
data:setRewardKey("Drop1")
data:setSoundPrefix("Slider")
data:addAnimationFile("slider_animations")
data:addAnimationFile("slider_stars")
enemiesData:setObject(data, data:getKey():getCString())

data = SliderData:create("Slider2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Slider)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(3)
data:setCoinsDroppedMax(7)
data:setDamage(2)
data:setRewardDecrement(1)
data:setHealth(150)
data:setBlockCountRetaliationThreshold(3)
data:setWakeHurtCountThreshold(5)
data:setUppercutStunTime(4.5)
data:setAnticipationTime(0.55)
data:setAttackRange(40.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.6)
data:setMoveSpeed(120.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 12))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setBlueColor(ccc3(95, 255, 113))
data:setRedColor(ccc3(255, 58, 115))
data:setGreenColor(ccc3(255, 206, 87))
data:setFaceFile("HUD_portraits_slider.png")
data:setName("Lee")
data:setRewardKey("Drop1")
data:setSoundPrefix("Slider")
data:addAnimationFile("slider_animations")
data:addAnimationFile("slider_stars")
enemiesData:setObject(data, data:getKey():getCString())

data = SliderData:create("Slider3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Slider)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(4)
data:setCoinsDroppedMax(10)
data:setDamage(3)
data:setRewardDecrement(1)
data:setHealth(225)
data:setBlockCountRetaliationThreshold(2)
data:setWakeHurtCountThreshold(5)
data:setUppercutStunTime(3.0)
data:setAnticipationTime(0.4)
data:setAttackRange(40.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.2)
data:setMoveSpeed(120.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 12))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setBlueColor(ccc3(80, 16, 76))
data:setRedColor(ccc3(234, 255, 70))
data:setGreenColor(ccc3(199, 134, 57))
data:setFaceFile("HUD_portraits_slider.png")
data:setName("Park")
data:setRewardKey("Drop1")
data:setSoundPrefix("Slider")
data:addAnimationFile("slider_animations")
data:addAnimationFile("slider_stars")
enemiesData:setObject(data, data:getKey():getCString())

-- THUG
data = ThugData:create("Thug1")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Thug)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(3)
data:setConsecutiveHitsKnockDownThreshold(3)
data:setDamage(1)
data:setRewardDecrement(1)
data:setHealth(50)
data:setAnticipationTime(0.8)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(2.5)
data:setMoveSpeed(110.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 16.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setRedColor(ccc3(0, 255, 98))
data:setGreenColor(ccc3(217, 226, 95))
data:setBlueColor(ccc3(126, 22, 138))
data:setFaceFile("HUD_portraits_thug.png")
data:setName("Sid")
data:setRewardKey("Drop1")
data:setSoundPrefix("Thug")
data:addAnimationFile("thugM_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = ThugData:create("Thug2")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Thug)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(0)
data:setCoinsDroppedMin(1)
data:setCoinsDroppedMax(5)
data:setConsecutiveHitsKnockDownThreshold(3)
data:setDamage(1)
data:setRewardDecrement(1)
data:setHealth(75)
data:setAnticipationTime(0.6)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(2.0)
data:setMoveSpeed(120.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 16.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setRedColor(ccc3(218, 48, 255))
data:setGreenColor(ccc3(108, 65, 35))
data:setBlueColor(ccc3(96, 217, 155))
data:setFaceFile("HUD_portraits_thug.png")
data:setName("Lex")
data:setRewardKey("Drop1")
data:setSoundPrefix("Thug")
data:addAnimationFile("thugM_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = ThugData:create("Thug3")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Thug)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(1)
data:setCoinsDroppedMin(2)
data:setCoinsDroppedMax(7)
data:setConsecutiveHitsKnockDownThreshold(3)
data:setDamage(2)
data:setRewardDecrement(1)
data:setHealth(100)
data:setAnticipationTime(0.4)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.5)
data:setMoveSpeed(130.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 16.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setRedColor(ccc3(255, 0, 98))
data:setGreenColor(ccc3(232, 176, 55))
data:setBlueColor(ccc3(65, 34, 126))
data:setFaceFile("HUD_portraits_thug.png")
data:setName("Rod")
data:setRewardKey("Drop1")
data:setSoundPrefix("Thug")
data:addAnimationFile("thugM_animations")
enemiesData:setObject(data, data:getKey():getCString())

data = ThugData:create("Thug4")
data:setAutoTargetPriority(AutoTargetPriorityType_Attack, AttackPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Orbital, OrbitalPriority_Attackable)
data:setAutoTargetPriority(AutoTargetPriorityType_Throw, ThrowPriority_Throwable)
data:setDamageType(DamageType_KnockBack)
data:setWeaknessDamageType(DamageType_All)
data:setEnemyType(EnemyType_Thug)
data:setImpactType(ImpactType_Punch)
data:setCanBeThrown(true)
data:setIndependent(false)
data:setInvincible(false)
data:setOnlyAttacksSideways(true)
data:setPassive(false)
data:setStatic(false)
data:setArmor(1)
data:setCoinsDroppedMin(2)
data:setCoinsDroppedMax(9)
data:setConsecutiveHitsKnockDownThreshold(3)
data:setDamage(2)
data:setRewardDecrement(1)
data:setHealth(125)
data:setAnticipationTime(0.2)
data:setAttackRange(50.0)
data:setFriendlyFireMultiplier(10.0)
data:setKnockDownTime(1.0)
data:setMoveSpeed(140.0)
data:setThreatDistance(80.0)
data:setCollideBoxSize(ccp(30.0, 16.0))
data:setHitBoxSize(ccp(40.0, 28.28))
data:setTouchBoxSize(ccp(40.0, 60.0))
data:setRedColor(ccc3(0, 254, 255))
data:setGreenColor(ccc3(255, 182, 162))
data:setBlueColor(ccc3(146, 0, 45))
data:setFaceFile("HUD_portraits_thug.png")
data:setName("Ice")
data:setRewardKey("Drop1")
data:setSoundPrefix("Thug")
data:addAnimationFile("thugM_animations")
enemiesData:setObject(data, data:getKey():getCString())

return enemiesData
